Affiliates
List affiliate payout requests
Developer API operation for GET /dev/v1/affiliates/payout-requests.
GET
/
dev
/
v1
/
affiliates
/
payout-requests
List affiliate payout requests
curl --request GET \
--url https://api.shoppex.io/dev/v1/affiliates/payout-requests \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shoppex.io/dev/v1/affiliates/payout-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/affiliates/payout-requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/affiliates/payout-requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/affiliates/payout-requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"payout_requests": [
{
"id": "claim_1",
"affiliate_customer_id": "cus_1",
"affiliate_link_id": "alink_1",
"affiliate_code": "creator",
"affiliate_email": "[email protected]",
"affiliate_name": "Creator",
"status": "pending",
"amount": 12,
"currency": "USD",
"payout_asset": "USDT",
"payout_network": "TRON",
"payout_address": "TQ2nBylQp1n7hT8t9r3V7A4C6X9K1M2P3Q",
"note": "Weekly payout",
"created_at": "2026-03-15T10:00:00.000Z",
"updated_at": "2026-03-15T11:00:00.000Z",
"completed_at": null,
"rejected_at": null,
"cancelled_at": null
}
],
"page": 1,
"limit": 25,
"total": 1
}
}Previous
Approve affiliate payout requestDeveloper API operation for POST /dev/v1/affiliates/payout-requests/{id}/approve.
Next
⌘I
List affiliate payout requests
